python-pyth_0.6.0-1_all.deb


Advertisement

Description

python-pyth - Python text markup and conversion

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe amd64
Package name: python-pyth
Package version: 0.6.0
Package release: 1
Package architecture: all
Package type: deb
Installed size: 168 B
Download size: 22.54 KB
Official Mirror: archive.ubuntu.com
Pyth is a library used to manipulate different formats of marked-up text. The following list of document formats are currently available: * XHTML (fully supported: read, write) * RTF (fully supported: read, write) * PDF (only output) It also can generate documents from Python markup a la Nevow's stan and has limited experimental support for LaTeX.

Alternatives

    Download

    Source package: pyth

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install python-pyth deb package:
      # sudo apt-get install python-pyth

    Files

    • /usr/lib/python2.7/dist-packages/pyth/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/document.py
    • /usr/lib/python2.7/dist-packages/pyth/errors.py
    • /usr/lib/python2.7/dist-packages/pyth/format.py
    • /usr/lib/python2.7/dist-packages/pyth-0.6.0.egg-info/PKG-INFO
    • /usr/lib/python2.7/dist-packages/pyth-0.6.0.egg-info/dependency_links.txt
    • /usr/lib/python2.7/dist-packages/pyth-0.6.0.egg-info/not-zip-safe
    • /usr/lib/python2.7/dist-packages/pyth-0.6.0.egg-info/top_level.txt
    • /usr/lib/python2.7/dist-packages/pyth/encodings/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/encodings/symbol.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/latex/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/latex/writer.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/pdf/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/pdf/writer.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/plaintext/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/plaintext/writer.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/python/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/python/reader.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/rst/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/rst/writer.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/rtf15/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/rtf15/reader.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/rtf15/writer.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/xhtml/__init__.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/xhtml/css.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/xhtml/reader.py
    • /usr/lib/python2.7/dist-packages/pyth/plugins/xhtml/writer.py
    • /usr/share/doc/python-pyth/README
    • /usr/share/doc/python-pyth/changelog.Debian.gz
    • /usr/share/doc/python-pyth/copyright
    • /usr/share/doc/python-pyth/examples/reading/rtf15.py
    • /usr/share/doc/python-pyth/examples/reading/sampleWithImage.py
    • /usr/share/doc/python-pyth/examples/reading/xhtml.py
    • /usr/share/doc/python-pyth/examples/writing/latex.py
    • /usr/share/doc/python-pyth/examples/writing/pdf.py
    • /usr/share/doc/python-pyth/examples/writing/plaintext.py
    • /usr/share/doc/python-pyth/examples/writing/pythonDoc.py
    • /usr/share/doc/python-pyth/examples/writing/rst.py
    • /usr/share/doc/python-pyth/examples/writing/rtf15.py
    • /usr/share/doc/python-pyth/examples/writing/xhtml.py

    Changelog

    2014-07-23 - Daniele Tricoli <eriol@mornie.org> pyth (0.6.0-1) unstable; urgency=low [ Jakub Wilk ] * Use canonical URIs for Vcs-* fields. [ Daniele Tricoli ] * New upstream release * Switch to pybuild * debian/compat - Bump debhelper compatibility level to 9 * debian/control - Bump debhelper B-D to (>= 9) - Add dh-python to B-D - Bump Standards-Version to 3.9.5 (no changes needed) * debian/copyright - Update copyright years - Update Format URL to version 1.0 * debian/patches/01_fix-refactored-PDFWriter-write.patch - Remove since applied upstream * debian/patches/02_fix-escaping-html-entities-behavior-change.patch - Remove since applied upstream * debian/rules - Use a custom pybuild system to invoke nose * debian/watch - Switch download URL to HTTPS - Remove debian and uupdate options

    2012-06-25 - Daniele Tricoli <eriol@mornie.org> pyth (0.5.6-3) unstable; urgency=low * debian/control - Fixed Vcs-Svn URL - Sorted Build-Depends and Depends - Bumped Standards-Version to 3.9.3 (no changes needed) * debian/patches/01_fix-refactored-PDFWriter-write.patch - Made DEP3 compliant * debian/02_fix-escaping-html-entities-behavior-change.patch - Fixed escaping HTML entities within strings behavior change in python-beautifulsoup 3.2.1. (Closes: #678754)

    2011-05-17 - Daniele Tricoli <eriol@mornie.org> pyth (0.5.6-2) unstable; urgency=low * debian/control - Fixed Vcs-Browser URL - Bumped Standards-Version to 3.9.2 (no changes needed) - Added packages needed for unit tests in Build-Depends field - Moved packages listed in Recommends field to Depends field * debian/copyright - Made DEP5 compliant * debian/{control, rules} - Switched to dh_python2 - Run unit tests at build time using python-nose * debian/patches/01_fix-refactored-PDFWriter-write.patch - Fix refactored signature of PDFWriter.write in upstream git revision d87f7877cca5ea90c2d79979521a3db77c47eb30

    2010-07-27 - Daniele Tricoli <eriol@mornie.org> pyth (0.5.6-1) unstable; urgency=low * Initial release (Closes: #590037)

    Advertisement
    Advertisement